For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet vaults
        • POSTCreate vault
        • GETGet vault account summary
        • GETGet combined vault-level and substrategy analytics for a vault
        • GETGet vault balances
        • GETGet vaults config
        • GETGet vault historical data
        • GETGet vaults owned or operated by the authenticated account
        • GETGet vault positions
        • GETGet vault summary
        • GETGet vault transfers
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceVaults

Get vault historical data

GET
https://api.prod.paradex.trade/v1/vaults/history
GET
/v1/vaults/history
$curl -G https://api.prod.paradex.trade/v1/vaults/history \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d address=0x9f8F72aA9304c8B593d555F12eF6589cC3A579A2 \
> -d type=pnl \
> -d resolution=1h \
> -d strategy=0xAbC1234567890dEf1234567890aBcDEF12345678
1{
2 "results": [
3 {
4 "address": "0x9f8F72aA9304c8B593d555F12eF6589cC3A579A2",
5 "data": [
6 0.05,
7 0.12,
8 -0.03,
9 0.07,
10 0.1
11 ],
12 "timestamps": [
13 1685606400,
14 1685610000,
15 1685613600,
16 1685617200,
17 1685620800
18 ]
19 }
20 ]
21}
Get PnL and Account value historical timeseries for the given vault.
Was this page helpful?
Previous

Get vaults owned or operated by the authenticated account

Next
Built with

Query parameters

addressstringRequired
Vault Address
strategystringOptional
Vault Strategy Address
typeenumRequired
Type of data
Allowed values:
resolutionenumRequired
Resolution of data
Allowed values:

Response

OK
resultslist of objects
Array of results

Errors

400
Bad Request Error